<serviceinterface-config id="commonBusinessManager/com.tytsyw.product.scene.addProductService" name="addProductService" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_addProductService" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="tranDate" type="String" optional="true">
			</parameter>
			<parameter name="tranTime" type="String" optional="true">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true">
			</parameter>
			<parameter name="tranSeqNo" type="String" optional="true">
			</parameter>
			<parameter name="sourceSysId" type="String" optional="true">
			</parameter>
			<parameter name="terminalCode" type="String" optional="true">
			</parameter>
			<parameter name="consumerId" type="String" optional="true">
			</parameter>
			<parameter name="branchId" type="String" optional="true">
			</parameter>
			<parameter name="corporationId" type="String" optional="true">
			</parameter>
			<parameter name="tenantNo" type="String" optional="true">
			</parameter>
			<parameter name="serviceName" type="String" optional="true">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="achieveProductId" type="String" description="对账实际缴费账号" optional="true" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="AdjustType" type="String" description="调账类型（调账以谁为准" optional="true">
			</parameter>
			<parameter name="serviceKey" type="String" description="单笔交易服务主键" optional="true">
			</parameter>
			<parameter name="dzList" type="List">
				<parameter name="attr_value" type="String" optional="true">
				</parameter>
				<parameter name="remark1" type="String" optional="true">
				</parameter>
				<parameter name="attr_name" type="String" optional="true">
				</parameter>
			</parameter>
			<parameter name="agreementCheckSign" type="String" description="是否校验签约" optional="true">
			</parameter>
			<parameter name="remark1" type="String" description="属性备注" optional="true">
			</parameter>
			<parameter name="tableList" type="List">
				<parameter name="attr_value" type="String" optional="true">
				</parameter>
				<parameter name="remark1" type="String" optional="true">
				</parameter>
				<parameter name="attr_name" type="String" optional="true">
				</parameter>
			</parameter>
			<parameter name="writeoffTimeoutReversalSign" type="String" description="销账超时是否冲正" optional="true">
			</parameter>
			<parameter name="Serviceattrvalue" type="String" description="属性值" optional="true">
			</parameter>
			<parameter name="tftDeduMode" type="String" description="扣款模式" optional="true">
			</parameter>
			<parameter name="checkContentd" type="String" description="撤销" optional="true">
			</parameter>
			<parameter name="checkContentc" type="String" description="冲正" optional="true">
			</parameter>
			<parameter name="description" type="String" description="描述" optional="true">
			</parameter>
			<parameter name="checkContentb" type="String" description="单笔预存" optional="true">
			</parameter>
			<parameter name="IsRepeatChecking" type="String" description="是否允许重复对账" optional="true">
			</parameter>
			<parameter name="checkContenta" type="String" description="单笔缴费" optional="true">
			</parameter>
			<parameter name="serviceSerialNo" type="String" description="平台定制流水号" optional="true">
			</parameter>
			<parameter name="checkingCycle" type="String" description="对账周期是以第三方日期为准还是以核心日期为准,异步清算方式必配" optional="true">
			</parameter>
			<parameter name="CheckSide" type="String" description="对账方" optional="true">
			</parameter>
			<parameter name="tftCollcTxKind" type="String" description="代理账务模式" optional="true">
			</parameter>
			<parameter name="IsFileBatchPaymentChecking" type="String" description="是否文件批扣交易流水参与对账" optional="true">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户号" optional="true">
			</parameter>
			<parameter name="UpdateMember" type="String" description="操作人" optional="true">
			</parameter>
			<parameter name="valueList" type="List">
				<parameter name="remark1" type="String" optional="true">
				</parameter>
				<parameter name="attr_value" type="String" optional="true">
				</parameter>
				<parameter name="attr_name" type="String" optional="true">
				</parameter>
			</parameter>
			<parameter name="getBillMode" type="String" description="是否调单" optional="true">
			</parameter>
			<parameter name="productId" type="String" description="产品号" optional="true">
			</parameter>
			<parameter name="Serviceattrname" type="String" description="属性名称" optional="true">
			</parameter>
			<parameter name="accDirection" type="String" description="账务交易方向" optional="true">
			</parameter>
			<parameter name="productName" type="String" description="产品名称" optional="true">
			</parameter>
			<parameter name="productfeatura" type="String" description="产品特征" optional="true">
			</parameter>
			<parameter name="clearMode" type="String" description="清算方式" optional="true">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="code" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="desc" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false" whether_desen="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
