<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.bidAssure" name="bidAssure" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_bidAssure" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceId" type="String" description="网关服务ID" optional="true" default-value="AG0299002" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="channelId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="requesterId" type="String" description="接入系统代码" optional="true" length="8" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="true" length="19" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="true" length="24" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="true" length="36" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="true" length="4" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="true" length="4" strict-length="false" whether_desen="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="custAcctNo" type="String" description="保证金托管子账号" optional="true" length="32" strict-length="false" whether_desen="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="agGurAcctNo" type="String" description="保证金托管子账号" optional="true" length="32" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="agGurAcctName" type="String" description="保证金托管子账号户名" optional="true" length="120" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="agGurAcctNo1" type="String" description="保证金托管子账号" optional="true" length="32" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="agGrp1" type="String" description="明细1" optional="true" length="122" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="agGrp2" type="String" description="明细2" optional="true" length="122" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="agGrp3" type="String" description="明细3" optional="true" length="122" strict-length="false" whether_desen="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
