<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.compareAccountOne" name="compareAccountOne" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_compareAccountOne" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="tellerNo" type="String" description="柜员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="true" length="19" strict-length="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="true" length="24" strict-length="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="true" length="36" strict-length="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="midNo" type="String" description="平台标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="bizeCode" type="String" description="代理业务编码" optional="false" length="6" strict-length="false">
			</parameter>
			<parameter name="preBusnDt" type="String" description="前置日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="preLogno" type="String" description="前置流水号" optional="true" length="19" strict-length="false">
			</parameter>
			<parameter name="hostTxTm" type="String" description="主机交易开始时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="midTxTm" type="String" description="主机交易结束时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="pageStaKey" type="String" description="上页第一笔资料的KEY值" optional="true" length="64" strict-length="false">
			</parameter>
			<parameter name="pageEndKey" type="String" description="该页最后一笔资料的KEY值" optional="true" length="64" strict-length="false">
			</parameter>
			<parameter name="pageUpDown" type="String" description="跳页指示" optional="true" length="1" strict-length="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="pageStaKey" type="String" description="上页第一笔资料的KEY值" optional="true" length="64" strict-length="false">
			</parameter>
			<parameter name="pageEndKey" type="String" description="该页最后一笔资料的KEY值" optional="true" length="64" strict-length="false">
			</parameter>
			<parameter name="pageNoData" type="String" description="最后一笔资料" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="agGrp" type="List">
				<parameter name="agMidNo" type="String" description="中间业务平台编号" optional="true" length="4" strict-length="false">
				</parameter>
				<parameter name="agBizeCode" type="String" description="代理业务编码" optional="true" length="6" strict-length="false">
				</parameter>
				<parameter name="agBusnDt" type="String" description="主机交易日期" optional="true" length="8" strict-length="false">
				</parameter>
				<parameter name="agHostLogno" type="String" description="主机交易流水号" optional="true" length="19" strict-length="false">
				</parameter>
				<parameter name="agPreBusnDt" type="String" description="前置交易日期" optional="true" length="8" strict-length="false">
				</parameter>
				<parameter name="agPreLogno" type="String" description="前置交易流水号" optional="true" length="19" strict-length="false">
				</parameter>
				<parameter name="agEcBusnDt" type="String" description="冲正日期" optional="true" length="8" strict-length="false">
				</parameter>
				<parameter name="agEcHodstLogno" type="String" description="冲正流水号" optional="true" length="19" strict-length="false">
				</parameter>
				<parameter name="agTxId" type="String" description="交易代码" optional="true" length="9" strict-length="false">
				</parameter>
				<parameter name="agTxMode" type="String" description="交易模式" optional="true" length="1" strict-length="false">
				</parameter>
				<parameter name="agTxTyp" type="String" description="现转标志" optional="true" length="1" strict-length="false">
				</parameter>
				<parameter name="agTellerNo" type="String" description="交易柜员" optional="true" length="12" strict-length="false">
				</parameter>
				<parameter name="agAccTyp" type="String" description="交易类型" optional="true" length="1" strict-length="false">
				</parameter>
				<parameter name="agChannelFlag" type="String" description="渠道标示" optional="true" length="2" strict-length="false">
				</parameter>
				<parameter name="agTrinBankno" type="String" description="资金转入帐号开户行" optional="true" length="9" strict-length="false">
				</parameter>
				<parameter name="agTrinAccno" type="String" description="资金转入帐号" optional="true" length="28" strict-length="false">
				</parameter>
				<parameter name="agTrinBkhNo" type="String" description="资金转入账簿编号" optional="true" length="5" strict-length="false">
				</parameter>
				<parameter name="agTrotBankno" type="String" description="资金转出帐号开户行" optional="true" length="9" strict-length="false">
				</parameter>
				<parameter name="agTrotAccno" type="String" description="资金转出帐号" optional="true" length="28" strict-length="false">
				</parameter>
				<parameter name="agTrotBkhNo" type="String" description="资金转出账簿编号" optional="true" length="5" strict-length="false">
				</parameter>
				<parameter name="agCollcType" type="String" description="代理业务类别" optional="true" length="2" strict-length="false">
				</parameter>
				<parameter name="agCurrBank" type="String" description="跨行模式" optional="true" length="1" strict-length="false">
				</parameter>
				<parameter name="agTransitionFlg" type="String" description="过渡户入账标示" optional="true" length="1" strict-length="false">
				</parameter>
				<parameter name="agCurrIden" type="String" description="钞汇标志" optional="true" length="1" strict-length="false">
				</parameter>
				<parameter name="agCurrCod" type="String" description="交易币种" optional="true" length="2" strict-length="false">
				</parameter>
				<parameter name="agAmt" type="String" description="交易金额" optional="true" length="16" strict-length="false">
				</parameter>
				<parameter name="agActSetlAmt" type="String" description="交易金额1" optional="true" length="16" strict-length="false">
				</parameter>
				<parameter name="agTotlAmt" type="String" description="交易金额2" optional="true" length="16" strict-length="false">
				</parameter>
				<parameter name="agPzhSort" type="String" description="凭证种类" optional="true" length="4" strict-length="false">
				</parameter>
				<parameter name="agDocNo" type="String" description="凭证号码" optional="true" length="16" strict-length="false">
				</parameter>
				<parameter name="agRtnMsg" type="String" description="对帐要素" optional="true" length="60" strict-length="false">
				</parameter>
				<parameter name="agBatchNo" type="String" description="批量编号" optional="true" length="30" strict-length="false">
				</parameter>
				<parameter name="agRmrk1" type="String" description="备注" optional="true" length="40" strict-length="false">
				</parameter>
				<parameter name="agRmrk2" type="String" description="备注2" optional="true" length="30" strict-length="false">
				</parameter>
				<parameter name="agRmrk3" type="String" description="备注3" optional="true" length="40" strict-length="false">
				</parameter>
				<parameter name="agMutiArea1" type="String" description="多方转帐区域1" optional="true" length="180" strict-length="false">
				</parameter>
				<parameter name="agMutiArea2" type="String" description="多方转帐区域2" optional="true" length="180" strict-length="false">
				</parameter>
				<parameter name="agNoteTyp" type="String" description="中间业务重空凭证种类" optional="true" length="4" strict-length="false">
				</parameter>
				<parameter name="agNoteNo" type="String" description="中间业务重空凭证号码" optional="true" length="16" strict-length="false">
				</parameter>
				<parameter name="agCpuTm" type="String" description="CPU时间(时分秒)" optional="true" length="6" strict-length="false">
				</parameter>
				<parameter name="agFiller" type="String" description="扩展字段" optional="true" length="94" strict-length="false">
				</parameter>
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
