<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.exchangeBill" name="exchangeBill" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="false" serialrepeat="true" bean-id="_commonbusinessmanager_exchangeBill" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="false" length="24" strict-length="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="false" length="36" strict-length="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="serviceId" type="String" description="serivceId" optional="true" default-value="Upbspbs000101" length="60" strict-length="false">
			</parameter>
			<parameter name="payPathCode" type="String" description="汇划路径" optional="false" length="1" strict-length="false">
			</parameter>
			<parameter name="cashFlag" type="String" description="现转标识" optional="false" length="1" strict-length="false">
			</parameter>
			<parameter name="busiType" type="String" description="业务类型编码" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="busiKind" type="String" description="业务种类编码" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="payerAcc" type="String" description="付款人账号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="payerName" type="String" description="付款人名称" optional="false" length="120" strict-length="false">
			</parameter>
			<parameter name="payerAccType" type="String" description="付款人账号类型" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="payerAddr" type="String" description="付款人地址" optional="true" length="140" strict-length="false">
			</parameter>
			<parameter name="realPayerAcc" type="String" description="实际付款人账号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="realPayerAccType" type="String" description="实际付款人账号类型" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="realPayerName" type="String" description="实际付款人名称" optional="true" length="120" strict-length="false">
			</parameter>
			<parameter name="payerAccBank" type="String" description="付款人开户行行号" optional="true" length="14" strict-length="false">
			</parameter>
			<parameter name="payeeBank" type="String" description="收款人行行号" optional="false" length="14" strict-length="false">
			</parameter>
			<parameter name="payeeAccBank" type="String" description="收款人开户行行号" optional="false" length="14" strict-length="false">
			</parameter>
			<parameter name="payeeAcc" type="String" description="收款人账号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="payeeName" type="String" description="收款人名称" optional="false" length="120" strict-length="false">
			</parameter>
			<parameter name="payeeAddr" type="String" description="收款人地址" optional="true" length="140" strict-length="false">
			</parameter>
			<parameter name="currency" type="String" description="币种" optional="false" length="2" strict-length="false">
			</parameter>
			<parameter name="amount" type="String" description="交易金额" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="priority" type="String" description="业务优先级" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="pwdMode" type="String" description="密码类型" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="cardPwd" type="String" description="卡折密码" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="feesInfo" type="String" description="费用信息" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="postScript" type="String" description="备注" optional="true" length="240" strict-length="false">
			</parameter>
			<parameter name="cancelAccerNo" type="String" description="销账编号" optional="true" length="30" strict-length="false">
			</parameter>
			<parameter name="bankBookPrtNo" type="String" description="存折印刷号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="idType" type="String" description="证件种类" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="idNo" type="String" description="证件号码" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="cusVouchType" type="String" description="凭证类型" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="cusVouchNo" type="String" description="凭证号码" optional="true" length="30" strict-length="false">
			</parameter>
			<parameter name="cusVouchDate" type="String" description="凭证日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="cusVouPwd" type="String" description="支付密码" optional="true" length="16" strict-length="false">
			</parameter>
			<parameter name="hostAccBookNo" type="String" description="账簿编号" optional="true" length="5" strict-length="false">
			</parameter>
			<parameter name="ticketNo" type="String" description="授权索引" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="secMtcon" type="String" description="二磁道" optional="true" length="40" strict-length="false">
			</parameter>
			<parameter name="thdMtcon" type="String" description="三磁道" optional="true" length="104" strict-length="false">
			</parameter>
			<parameter name="abstractCode" type="String" description="摘要码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="abstractMsg" type="String" description="摘要信息" optional="true" length="40" strict-length="false">
			</parameter>
			<parameter name="reloanContract" type="String" description="再贷款合同号" optional="true" length="20" strict-length="false">
			</parameter>
			<parameter name="billNo" type="String" description="再贴现结算票据号码" optional="true" length="16" strict-length="false">
			</parameter>
			<parameter name="remark" type="String" description="备注" optional="true" length="240" strict-length="false">
			</parameter>
			<parameter name="confirmNo" type="String" description="圈存编号" optional="true" length="20" strict-length="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="workDate" type="String" description="支付平台日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="agentSerialNo" type="String" description="支付平台流水号" optional="false" length="10" strict-length="false">
			</parameter>
			<parameter name="bankDate" type="String" description="账务主机日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="bankId" type="String" description="账务主机记账流水号" optional="true" length="50" strict-length="false">
			</parameter>
			<parameter name="sendBank" type="String" description="发起行" optional="false" length="14" strict-length="false">
			</parameter>
			<parameter name="sendBankName" type="String" description="发起行行名" optional="false" length="280" strict-length="false">
			</parameter>
			<parameter name="entrustDate" type="String" description="委托日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="msgId" type="String" description="交易序号" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="channelCode" type="String" description="业务渠道编码" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="channelDate" type="String" description="业务渠道日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="channelSerNo" type="String" description="业务渠道流水号" optional="true" length="50" strict-length="false">
			</parameter>
			<parameter name="channelTime" type="String" description="业务渠道时间" optional="true" length="6" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeAmount" type="String" description="手续费" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="transAmount" type="String" description="汇划费" optional="true" length="18" strict-length="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
