<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.queryGoldAccount" name="queryGoldAccount" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_queryGoldAccount" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="tenantNo" type="String" description="租户标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="true" length="20" strict-length="false">
			</parameter>
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="true" length="19" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="true" length="32">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="serviceId" type="String" description="网关服务ID" optional="true" default-value="AG0288600" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="服务渠道代号" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="true" length="19" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="true" length="24" strict-length="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="true" length="36" strict-length="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="tftCustAcctNo" type="String" description="保证金托管子账号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="tftGurAcctDtlFlg" type="String" description="投标保证金子账户明细状态" optional="false" length="1" strict-length="false">
			</parameter>
			<parameter name="tftTxnDt" type="String" description="交易日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="tftHostTxTm" type="String" description="交易时间" optional="true" length="6" strict-length="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" length="64" strict-length="false">
			</parameter>
			<parameter name="agGurAcctNo" type="String" description="保证金托管子账号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="agTransDt" type="String" description="交易日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="agTransTm" type="String" description="交易时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="agTransAmt" type="BigDecimal" description="交易金额" optional="true" length="6" strict-length="false" scale="2">
			</parameter>
			<parameter name="agDraweeAcctNo" type="String" description="付款人账号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="agDraweeAcctName" type="String" description="付款人账号户名" optional="true" length="120" strict-length="false">
			</parameter>
			<parameter name="agDraweeChannel" type="String" description="付款渠道" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="agGurTransAcct" type="String" description="保证金托管账号" optional="true" length="28" strict-length="false">
			</parameter>
			<parameter name="agGurKeepAcct" type="String" description="国土保证金财政专户" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="agOfflineTxLogNo" type="String" description="外围流水号" optional="true" length="24" strict-length="false">
			</parameter>
			<parameter name="agTxLogNo" type="String" description="核心流水号" optional="true" length="24" strict-length="false">
			</parameter>
			<parameter name="agNextRecord" type="String" description="记录有无标志" optional="true" length="1" strict-length="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
