<serviceinterface-config id="commonBusinessManager/com.tytsyw.tenant.scene.queryNachaOrgList" name="queryNachaOrgList" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_queryNachaOrgList" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="tranDate" type="String" optional="true">
			</parameter>
			<parameter name="tranTime" type="String" optional="true">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true">
			</parameter>
			<parameter name="tranSeqNo" type="String" optional="true">
			</parameter>
			<parameter name="sourceSysId" type="String" optional="true">
			</parameter>
			<parameter name="terminalCode" type="String" optional="true">
			</parameter>
			<parameter name="consumerId" type="String" optional="true">
			</parameter>
			<parameter name="branchId" type="String" optional="true">
			</parameter>
			<parameter name="corporationId" type="String" optional="true">
			</parameter>
			<parameter name="tenantNo" type="String" optional="true">
			</parameter>
			<parameter name="serviceName" type="String" optional="true">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="orgId" type="String" description="组织机构ID" optional="true" length="20">
			</parameter>
			<parameter name="orgDesc" type="String" description="组织机构描述信息" optional="true" length="200">
			</parameter>
			<parameter name="orgParentId" type="String" description="组织机构父ID" optional="true" length="20">
			</parameter>
			<parameter name="orgCode" type="String" optional="true" length="20">
			</parameter>
			<parameter name="orgSign" type="String" description="机构标识" optional="true" length="100">
			</parameter>
			<parameter name="orgStatus" type="String" description="0：删除   1：正常" optional="true" length="8">
			</parameter>
			<parameter name="orgName" type="String" description="机构名称" optional="true" length="100">
			</parameter>
			<parameter name="orgUpdateTime" type="String" description="更新时间" optional="true" length="14">
			</parameter>
			<parameter name="orgLevel" type="String" description="组织机构级别 0：省   1：市   2：县" optional="true" length="8">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="total" type="String" optional="true">
			</parameter>
			<parameter name="nachaOrgList" type="List">
				<parameter name="orgId" type="String" description="组织机构ID" optional="true">
				</parameter>
				<parameter name="orgDesc" type="String" description="组织机构描述信息" optional="true">
				</parameter>
				<parameter name="orgParentId" type="String" description="组织机构父ID" optional="true">
				</parameter>
				<parameter name="orgCode" type="String" optional="true">
				</parameter>
				<parameter name="orgSign" type="String" description="机构标识" optional="true">
				</parameter>
				<parameter name="orgStatus" type="String" description="0：删除   1：正常" optional="true">
				</parameter>
				<parameter name="orgName" type="String" description="机构名称" optional="true">
				</parameter>
				<parameter name="orgUpdateTime" type="String" description="更新时间" optional="true">
				</parameter>
				<parameter name="orgLevel" type="String" description="组织机构级别 0：省   1：市   2：县" optional="true">
				</parameter>
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
