<serviceinterface-config id="commonBusinessManager/com.tytsyw.product.scene.queryProducts" name="queryProducts" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_queryProducts" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="tellerNo" type="String" description="柜员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="product" type="List">
				<parameter name="productId" type="String" optional="true">
				</parameter>
			</parameter>
			<parameter name="tenantNo" type="String" optional="true">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="productReturnList" type="List">
				<parameter name="startDate" type="String" description="生效开始日期" optional="true">
				</parameter>
				<parameter name="description" type="String" description="描述" optional="true">
				</parameter>
				<parameter name="productFeature" type="String" description="产品特征" optional="true">
				</parameter>
				<parameter name="endDate" type="String" description="到期截止日期" optional="true">
				</parameter>
				<parameter name="productName" type="String" description="产品名称" optional="true">
				</parameter>
				<parameter name="productId" type="String" description="产品标识" optional="true">
				</parameter>
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
