<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.queryTradeResult" name="queryTradeResult" type="01" timeout="60000" enable="true" logserial="false" loglevel="5" databaseId="01" logdatapackage="false" serialrepeat="false" bean-id="_commonbusinessmanager_queryTradeResult" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="true" length="19" strict-length="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="true" length="24" strict-length="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="true" length="36" strict-length="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="txLogNo" type="String" description="交易流水号" optional="false" length="19" strict-length="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="cmTxlCpuTm" type="String" description="机器时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="cmDocNo" type="String" description="凭证号码" optional="true" length="16" strict-length="false">
			</parameter>
			<parameter name="cmTxlEcLogNo" type="String" description="冲正交易流水号" optional="true" length="24" strict-length="false">
			</parameter>
			<parameter name="cmTxlAuthTypeName" type="String" description="授权类别" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="cmTxlTxId" type="String" description="交易码" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="cmTxlCurrencyCode" type="String" description="币种" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="cmDocTyp" type="String" description="凭证种类" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="cmTxlOppoAccountNo" type="String" description="对方帐号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="cmTxlTxAmt" type="String" description="交易金额一" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="cmTxlAuthFlg" type="String" description="授权标志" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="cmTxlBusnDt" type="String" description="营业日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="cmTxlTxAmt1" type="String" description="交易金额二" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="cmTxlTypName" type="String" description="交易类型" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="cmTxlAccountNo" type="String" description="交易帐号" optional="true" length="32" strict-length="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
