<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.superOnlineBank" name="superOnlineBank" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="false" serialrepeat="true" bean-id="_commonbusinessmanager_superOnlineBank" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="false" length="24" strict-length="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="false" length="36" strict-length="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="serviceId" type="String" description="serviceId" optional="true" default-value="Ibps10100101" length="60" strict-length="false">
			</parameter>
			<parameter name="msgType" type="String" description="报文类型" optional="false" default-value="ibps.101.001.01" length="16" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="busiType" type="String" description="业务类型编码" optional="false" default-value="C200" length="4" strict-length="false">
			</parameter>
			<parameter name="busiClass" type="String" description="业务种类" optional="false" default-value="02001" length="5" strict-length="false">
			</parameter>
			<parameter name="payerAccDeptName" type="String" description="付款人开户行名称" optional="false" length="35" strict-length="false">
			</parameter>
			<parameter name="payerAccNo" type="String" description="付款人账号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="payerAccName" type="String" description="付款人名称" optional="true" length="120" strict-length="false">
			</parameter>
			<parameter name="payerAccType" type="String" description="付款人账户类型" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="payerBankCityCode" type="String" description="付款人开户行所属城市代码" optional="false" length="6" strict-length="false">
			</parameter>
			<parameter name="reciverBankNo" type="String" description="收款清算行行号" optional="false" length="12" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="payeeAccNo" type="String" description="收款人账号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="payeeAccName" type="String" description="收款人名称" optional="true" length="120" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="csiiCheckPwd" type="String" description="是否验证密码" optional="true" length="1" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="pwd" type="String" description="交易密码" optional="true" length="16" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="currency" type="String" description="货币种类" optional="false" length="3" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="amount" type="String" description="交易金额" optional="false" length="18" strict-length="false">
			</parameter>
			<parameter name="feesAmount" type="String" description="本行手续费" optional="false" length="18" strict-length="false">
			</parameter>
			<parameter name="remarkInfo" type="String" description="附言" optional="true" length="140" strict-length="false">
			</parameter>
			<parameter name="departmentNo" type="String" description="机构号" optional="true" length="9" strict-length="false" whether_desen="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
