<serviceinterface-config id="commonBusinessManager/com.tytsyw.checking.syncPaymentStatusOfSuperOnline" name="syncPaymentStatusOfSuperOnline" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_syncPaymentStatusOfSuperOnline" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="false" length="24" strict-length="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="false" length="36" strict-length="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="transDate" type="String" description="账务日期" optional="true">
			</parameter>
			<parameter name="netbankSeqNo" type="String" description="网银序列号" optional="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="returnCode" type="Map">
			<parameter name="message" type="String" description="返回信息" optional="true" length="128">
			</parameter>
			<parameter name="code" type="String" description="返回码" optional="true" length="8">
			</parameter>
		</parameter>
		<parameter name="transDate" type="String" description="日期" optional="true">
		</parameter>
		<parameter name="netbankSeqNo" type="String" description="超级网银序列号" optional="true">
		</parameter>
		<parameter name="transStatus" type="String" description="处理状态" optional="true">
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
