<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.queryAccountMsg" name="queryAccountMsg" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_queryAccountMsg" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求方交易流水号" optional="true" length="19" strict-length="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="true" length="24" strict-length="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="true" length="36" strict-length="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="serviceId" type="String" description="serivceId" optional="true" default-value="SA0100000" length="60" strict-length="false">
			</parameter>
			<parameter name="tftAcctNo" type="String" description="账号" optional="false" length="28" strict-length="false">
			</parameter>
			<parameter name="tftCurrCod" type="String" description="币别" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="tftCurrIden" type="String" description="钞汇鉴别" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="tftAmt" type="String" description="金额" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="tftPsbkNo" type="String" description="存折册号" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="tftPsbkPrtNo1" type="String" description="存折印刷号1" optional="true" length="13" strict-length="false">
			</parameter>
			<parameter name="tftPsbkSqNo" type="String" description="笔号" optional="true" length="3" strict-length="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="esbMsg" type="String" description="ESB返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="esbCode" type="String" description="ESB返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="saBbn" type="String" description="组别" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saCustName" type="String" description="客户名称" optional="true" length="120" strict-length="false">
			</parameter>
			<parameter name="saOpenBusn" type="String" description="开户机构" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="saDepOpenFlg" type="String" description="系统通存标志   Y/N" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDrwOpenFlg" type="String" description="系统通兑标志   Y/N" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDepFlg" type="String" description="帐号通存标志   Y/N" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDrwFlg" type="String" description="帐号通兑标志   Y/N" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDpdwRang" type="String" description="通存通兑范围   1-NATION 2-PROVINCE 3-CITY" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saPUFlg" type="String" description="读对公对私标志   私 P 公 U" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saCustNo" type="String" description="客户编号" optional="true" length="20" strict-length="false">
			</parameter>
			<parameter name="saBal" type="String" description="余额" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="saOpenBusnName" type="String" description="开户行名称" optional="true" length="120" strict-length="false">
			</parameter>
			<parameter name="saPsbkPrtNo" type="String" description="存折印刷号" optional="true" length="30" strict-length="false">
			</parameter>
			<parameter name="saDrwTyp" type="String" description="支取方式" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="saPsbkFlg" type="String" description="存单折标志 0-无存单存折；1-存单；2-存折" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saPdpCode" type="String" description="产品代码" optional="true" length="11" strict-length="false">
			</parameter>
			<parameter name="saAcctSts" type="String" description="账户状态" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saLastBal" type="String" description="GL账户上日余额" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="saLastBalDt" type="String" description="GL账户上日余额日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="saBkhSts" type="String" description="多级账簿签约标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saPsbkSts" type="String" description="存折状态; 参见代码表" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saFrzAmt" type="String" description="冻结金额" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="saAccFlg" type="String" description="I/II/III类标识" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saLegalPersonId" type="String" description="法人号" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="saCustAcctNo" type="String" description="客户账号" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="saCustCertTyp" type="String" description="证件类型" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="saCustCertNo" type="String" description="证件号码" optional="true" length="60" strict-length="false">
			</parameter>
			<parameter name="saAcctName" type="String" description="账户名称" optional="true" length="120" strict-length="false">
			</parameter>
			<parameter name="saCheckIdentily" type="String" description="核身标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saChannelFlg" type="String" description="开户渠道标志" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saAcctStaSts" type="String" description="启用状态" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDpFlg" type="String" description="通存标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saCorpDpRang" type="String" description="法人通存范围" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDistDpRang" type="String" description="地域通存范围" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDwFlg" type="String" description="通兑标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saCorpDwRang" type="String" description="法人通兑范围" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDistDwRang" type="String" description="地域通兑范围" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saSpcAcctAttr" type="String" description="特殊账户属性" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saSpcAcctFlg" type="String" description="特殊账户标识" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saGurTyp" type="String" description="保证金种类" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saSubAcctChar" type="String" description="账户性质子类" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="saAcctChar" type="String" description="帐户性质" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="saAcctCtlSts" type="String" description="帐户控制状态" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDdpAcctSts" type="String" description="活存帐户状态" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saSleepSts" type="String" description="睡眠状态" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saOpacDt" type="String" description="开户日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="saDueDt" type="String" description="到期日期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="saAcctUseCode" type="String" description="账户用途" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saAvlBal" type="String" description="可用余额" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="saCurrCod" type="String" description="币别;" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="saCurrIden" type="String" description="钞汇鉴别" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDrwCashFlg" type="String" description="取现标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saAvlDueDt" type="String" description="账户有效期" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="saCaaType" type="String" description="一户通签约类型" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saLinkAcctNo" type="String" description="关联结算账户" optional="true" length="32" strict-length="false">
			</parameter>
			<parameter name="saDepCustType" type="String" description="存款人类别" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saDepPrd" type="String" description="存期" optional="true" length="5" strict-length="false">
			</parameter>
			<parameter name="saAmtType" type="String" description="资金性质" optional="true" length="2" strict-length="false">
			</parameter>
			<parameter name="saDdpPdt" type="String" description="活存积数" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="saFxAcctChar" type="String" description="外管账户性质" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="saCrMediaTyp" type="String" description="卡介质类型" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saDocTyp" type="String" description="凭证种类" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="saBigDocuFlg" type="String" description="大额存单账户标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saGurFlg" type="String" description="保证金账户标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saVostrFlg" type="String" description="同业客户账户标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saCaaFlg" type="String" description="一户通标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saPubMtdFlg" type="String" description="单位定期一本通标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saPriMtdFlg" type="String" description="个人定期一本通标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saSetAcctFlg" type="String" description="结算账户标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saPsbkNo" type="String" description="存折册号" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="saAdvNo" type="String" description="通知存款设定编号" optional="true" length="3" strict-length="false">
			</parameter>
			<parameter name="saOpacAmt" type="String" description="开户金额" optional="true" length="18" strict-length="false">
			</parameter>
			<parameter name="saTdpIntr" type="String" description="存单利率" optional="true" length="8" strict-length="false">
			</parameter>
			<parameter name="saCrMnsubDrp" type="String" description="主副卡标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saCoaFlg" type="String" description="集团客户签约标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saAcctChkFlg" type="String" description="年检标志" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saFrzSts" type="String" description="冻结状态" optional="true" length="1" strict-length="false">
			</parameter>
			<parameter name="saGurSubnum" type="String" description="单位保证金子账户数量" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="filler1" type="String" optional="true" length="60" strict-length="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
