<serviceinterface-config id="commonBusinessManager/com.tytsyw.monitor.scene.queryTransSum" name="queryTransSum" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_queryTransSum" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="true" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="true" length="9">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="true" length="8">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="true" length="32">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="true" length="4">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="true" length="20">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="startNo" type="String" description="起始页" optional="true">
			</parameter>
			<parameter name="pageSize" type="String" description="每页行数" optional="true">
			</parameter>
			<parameter name="endDate" type="String" description="结束时间" optional="true">
			</parameter>
			<parameter name="beginDate" type="String" description="开始时间" optional="true">
			</parameter>
			<parameter name="businessProductId" type="String" description="业务产品号" optional="true">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="code" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="desc" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="agSysRcvInfoSumList" type="List">
				<parameter name="excpSum" type="String" description="不明总数" optional="true" whether_desen="false">
				</parameter>
				<parameter name="serviceProductId" type="String" description="业务产品号" optional="true" whether_desen="false">
				</parameter>
				<parameter name="corporationNo" type="String" description="法人标识" optional="true">
				</parameter>
				<parameter name="failSum" type="String" description="失败笔数" optional="true" length="20">
				</parameter>
				<parameter name="totalSum" type="String" description="交易笔数" optional="true" length="20">
				</parameter>
				<parameter name="mediumId" type="String" description="渠道标识" optional="true">
				</parameter>
				<parameter name="tenantNo" type="String" description="租户标识" optional="true">
				</parameter>
				<parameter name="succSum" type="String" description="成功笔数" optional="true" length="20">
				</parameter>
				<parameter name="businessProductId" type="String" description="业务产品号" optional="true">
				</parameter>
				<parameter name="serviceName" type="String" description="服务名" optional="true">
				</parameter>
			</parameter>
			<parameter name="total" type="String" optional="true">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
