<serviceinterface-config id="commonBusinessManager/com.tytsyw.esbclient.scene.tryProcedureFee" name="tryProcedureFee" type="01" timeout="60000" enable="true" logserial="false" loglevel="1" databaseId="01" logdatapackage="true" serialrepeat="true" bean-id="_commonbusinessmanager_tryProcedureFee" mode="remote">
<method name="doRequest">
<ref-input-parameter>
		<parameter name="ReqSvcHeader" type="Map">
			<parameter name="serviceSn" type="String" description="请求方服务流水号" optional="false" length="19" strict-length="false">
			</parameter>
			<parameter name="branchId" type="String" description="原始请求方机构代号" optional="false" length="9" strict-length="false">
			</parameter>
			<parameter name="channelId" type="String" description="渠道标识" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="requesterId" type="String" description="请求方系统代码" optional="true" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceDate" type="String" description="请求方服务日期" optional="false" length="8" strict-length="false">
			</parameter>
			<parameter name="serviceTime" type="String" description="请求方服务时间" optional="true" length="6" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" description="全局流水号" optional="false" length="32" strict-length="false">
			</parameter>
			<parameter name="tenantNo" type="String" description="租户标识" optional="false" length="4" strict-length="false">
			</parameter>
			<parameter name="serviceProductId" type="String" description="服务产品号" optional="false" length="20" strict-length="false">
			</parameter>
			<parameter name="currentDate" type="String" description="当前账务日期" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="serviceProduct" type="String" description="服务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="businessProduct" type="String" description="业务产品信息" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="corporationNo" type="String" description="机构号" optional="true" length="9" strict-length="false">
			</parameter>
			<parameter name="requestData" type="String" description="业务参数" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="operatorId" type="String" description="操作员号" optional="true" length="12" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="deviceNumber" type="String" description="待定" optional="true" length="12" strict-length="false">
			</parameter>
			<parameter name="extAttributes" type="String" description="扩展" optional="true" length="4000" strict-length="false">
			</parameter>
			<parameter name="transSn" type="String" description="请求交易流水号" optional="true" length="24" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="bizSn" type="String" description="全局业务流水号" optional="true" length="24" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="bizCode" type="String" description="全局业务操作码" optional="true" length="36" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="launchChannelId" type="String" description="发起渠道号" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="launchRequesterId" type="String" description="发起系统代码" optional="true" length="4" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="admDivCode" type="String" description="行政区划号" optional="true" length="6" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="corpBankCode" type="String" description="法人行号" optional="true" length="3" strict-length="false" whether_desen="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="txId1" type="String" optional="true" length="9" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="brhCod" type="String" optional="true" length="9" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="txCrdNo" type="String" optional="true" length="20" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="txAcctNo" type="String" optional="true" length="32" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="oppCrdNo" type="String" optional="true" length="20" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="oppAcctNo" type="String" optional="true" length="32" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="currCodCal" type="String" optional="true" length="3" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="txDt" type="String" optional="true" length="8" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="chgTyp" type="String" optional="true" length="1" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dertAmt" type="String" optional="true" length="18" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="txAmt" type="String" optional="true" length="18" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="txItem" type="String" optional="true" length="5" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="txPcs" type="String" optional="true" length="5" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="chgStrDt" type="String" optional="true" length="8" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="endDt" type="String" optional="true" length="8" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="prdCod" type="String" optional="true" length="11" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="custNo" type="String" optional="true" length="20" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="cnlTyp" type="String" optional="true" length="4" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdCod" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdVal" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim1" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal1" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim1" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal1" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdCod1" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdVal1" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim2" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal2" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim2" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal2" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdCod2" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdVal2" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim3" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal3" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim3" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal3" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdCod3" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdVal3" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim4" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal4" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim4" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal4" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdCod4" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dfnDmlStdVal4" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim5" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal5" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim5" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal5" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim6" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal6" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim6" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim7" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal7" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim7" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal7" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim8" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal8" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim8" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal8" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="feeRulDim9" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="dimVal9" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDim9" type="String" optional="true" length="2" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="difDimVal9" type="String" optional="true" length="30" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="fstEndPrdFlg" type="String" optional="true" length="1" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="signStrtDt" type="String" optional="true" length="8" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="lastEndDt" type="String" optional="true" length="8" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="filler-4-1" type="String" optional="true" length="4" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="filler-4-2" type="String" optional="true" length="4" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="filler-12-1" type="String" optional="true" length="12" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="filler-12-2" type="String" optional="true" length="12" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="filler-32-1" type="String" optional="true" length="32" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="filler-18-1" type="String" optional="true" length="18" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="filler-8-1" type="String" optional="true" length="8" strict-length="false" whether_desen="false">
			</parameter>
		</parameter>
	</ref-input-parameter>
	<ref-output-parameter>
		<parameter name="RspSvcHeader" type="Map">
			<parameter name="returnCode" type="String" description="返回码" optional="true" strict-length="false">
			</parameter>
			<parameter name="returnMsg" type="String" description="返回信息" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranDate" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="tranTime" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="globalSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSeqNo" type="String" optional="true" strict-length="false">
			</parameter>
			<parameter name="backendSysId" type="String" optional="true" strict-length="false">
			</parameter>
		</parameter>
		<parameter name="SvcBody" type="Map">
			<parameter name="fmFeeFlg" type="String" optional="true" length="10" strict-length="false" whether_desen="false">
			</parameter>
			<parameter name="fmToltAftTaxAmt" type="String" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="fmToltValAddTaxAmt" type="String" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="fmToltChgAmt" type="String" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="fmToltDertAmt" type="String" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="fmToltChgPreAmt" type="String" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="fmChgFeeGrp" type="String" optional="true" length="10" strict-length="false">
			</parameter>
			<parameter name="fmFeeCod" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmChgStdAmt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmChgPreAmt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmDertAmt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmChgAmt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmValAddTaxAmt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmAftTaxAmt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmCltCurrCod" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmLowBalHdlTyp" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmPreFlg" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmAgrNo" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmFeeGrpNo" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmPrdPstNo" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmPrdStrDt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmPrdEndDt" type="String" optional="true" length="15" strict-length="false">
			</parameter>
			<parameter name="fmToltChgStdAmt" type="String" optional="true" length="10" strict-length="false">
			</parameter>
		</parameter>
	</ref-output-parameter>
</method>
	<connection name="commonBusinessManager" type="Dubbo">
	<attribute name="url">${commonBusinessManager.registry.address}</attribute>
	<attribute name="system-id">01</attribute>
	</connection>
</serviceinterface-config>
